<?php
require "ford.php";

/* namespace class */
use ford\car;
$car1 = new ford\car();
echo "<br>*** namespace class ***<br>";
$model = "f-model-1";
$price = $car1->getPrice($model);
echo "Price of $model is $price<br>";
echo "Made in $car1->country<br>";

/* namespace constant */
use ford\budget; // case-insensitive
echo "<br>*** namespace constant ***<br>";
$budget = ford\BUDGET;
echo "Buyer's budget $budget<br>";

/* namespace function */
use ford\buycarfilter;
$result = ford\buyCarFilter($budget, $car1->models);
echo "<br>*** namespace function ***<br>";
echo "You are able to buy models of<br>";
foreach($result as $value) echo "$value<br>";

/* namespace alias */
use ford\car as fcar;
$car1 = new fcar();
echo "<br>*** namespace alias ***<br>";
$model = "f-model-2";
$price = $car1->getPrice($model);
echo "Price of $model is $price<br>";
echo "Made in $car1->country<br>";

/* sub-namespace */
require "toyota.php"; // You can merge ford.php and toyota.php into manufacturer.php

use foreign\toyota\car as tcar;
$car1 = new tcar();
echo "<br>*** sub-namespace ***<br>";
$model = "t-model-1";
$price = $car1->getPrice($model);
echo "Price of $model is $price<br>";
echo "Made in $car1->country<br>";
?>

